## net.sf.saxon.query
Class QueryParser.LetClause

    java.lang.Object
      net.sf.saxon.query.QueryParser.LetClause

All Implemented Interfaces:
  ExpressionParser.FLWORClause

Enclosing class:
  QueryParser

    protected static class QueryParser.LetClause

extends Object
implements ExpressionParser.FLWORClause

Field Summary
`int` `offset`
`LetExpression` `variable`

Constructor Summary
`protected` `QueryParser.LetClause()`

Method Summary
`int` `numberOfRangeVariables()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### variable

    public LetExpression variable

### offset

    public int offset

Constructor Detail

### QueryParser.LetClause

    protected QueryParser.LetClause()

Method Detail

### numberOfRangeVariables

    public int numberOfRangeVariables()

  Specified by:
    `numberOfRangeVariables` in interface `ExpressionParser.FLWORClause`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.